update ci tests

pull/1278/head
alpharush 2 years ago
parent f01be2e4da
commit 77d097bf88
  1. 4
      scripts/ci_test.sh
  2. 10
      scripts/ci_test_dapp.sh
  3. 9
      scripts/ci_test_embark.sh
  4. 10
      scripts/ci_test_etherlime.sh
  5. 8
      scripts/ci_test_etherscan.sh
  6. 9
      scripts/ci_test_truffle.sh

@ -14,7 +14,7 @@ test_slither(){
# run slither detector on input file and save output as json
slither "$1" --solc-disable-warnings --detect "$2" --json "$DIR/tmp-test.json"
if [ $? -eq 255 ]
if [ $? -ne 0 ]
then
echo "Slither crashed"
exit 255
@ -41,7 +41,7 @@ test_slither(){
# run slither detector on input file and save output as json
slither "$1" --solc-disable-warnings --detect "$2" --legacy-ast --json "$DIR/tmp-test.json"
if [ $? -eq 255 ]
if [ $? -ne 0]
then
echo "Slither crashed"
exit 255

@ -15,13 +15,11 @@ nix-env -f "$HOME/.dapp/dapptools" -iA dapp seth solc hevm ethsign
dapp init
slither . --detect external-function
slither . --fail-pedantic
# TODO: make more elaborate test
if [ $? -eq 4 ]
if [ $? -ne 255 ]
then
exit 0
echo "Truffle test failed"
exit 255
fi
echo "Dapp test failed"
exit 255

@ -15,13 +15,12 @@ npm install -g embark@4.2.0
embark demo
cd embark_demo || exit 255
npm install
slither . --embark-overwrite-config
slither . --embark-overwrite-config --fail-pedantic
if [ $? -eq 4 ]
if [ $? -ne 255 ]
then
exit 0
echo "Embark test failed"
exit 255
fi
echo "Embark test failed"
exit 255

@ -13,12 +13,10 @@ nvm use 10.17.0
npm i -g etherlime
etherlime init
slither .
slither . --fail-pedantic
if [ $? -eq 7 ]
if [ $? -ne 255 ]
then
exit 0
echo "Etherlime test failed"
exit 255
fi
echo "Etherlime test failed"
exit 255

@ -5,17 +5,17 @@
mkdir etherscan
cd etherscan || exit 255
slither 0x7F37f78cBD74481E593F9C737776F7113d76B315 --etherscan-apikey "$GITHUB_ETHERSCAN"
slither 0x7F37f78cBD74481E593F9C737776F7113d76B315 --etherscan-apikey "$GITHUB_ETHERSCAN" --fail-pedantic
if [ $? -ne 5 ]
if [ $? -ne 255 ]
then
echo "Etherscan test failed"
exit 255
fi
slither rinkeby:0xFe05820C5A92D9bc906D4A46F662dbeba794d3b7 --etherscan-apikey "$GITHUB_ETHERSCAN"
slither rinkeby:0xFe05820C5A92D9bc906D4A46F662dbeba794d3b7 --etherscan-apikey "$GITHUB_ETHERSCAN" --fail-pedantic
if [ $? -ne 70 ]
if [ $? -ne 255 ]
then
echo "Etherscan test failed"
exit 255

@ -13,12 +13,11 @@ nvm use --lts
npm install -g truffle
truffle unbox metacoin
slither .
slither . --fail-pedantic
if [ $? -eq 6 ]
if [ $? -ne 255 ]
then
exit 0
echo "Truffle test failed"
exit 255
fi
echo "Truffle test failed"
exit 255

Loading…
Cancel
Save